#!/bin/bash
#Description: find command path
#Copyright: Copyright (c) Huawei Technologies Co., Ltd. 2025-2025. All rights reserved.
#History: 2025-3-8 created

source /etc/profile

if [ $# -eq 0 ]; then
    echo "Error: Please provide the command to find as an argument."
    exit 1
fi

command_to_find=$1
path=$(which "$command_to_find")

if [[ $? -ne "0" ]]; then
    echo ""
else
    echo "$path"
fi
